List Company Registrations.
GET/v1/users/company-registrations
Tag: api-baas-get-all-company-registration
Description: Retrieve a list of company registrations with optional filters.
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: [PENDING, SUBMITTED, WAITING_DOCUMENTS, APPROVED, DECLINED, FAILED]
Company registration status.
Company CNPJ.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
The product ID is a UUID (v4) used to identify the Z.ro product configuration.
The product target user ID is a UUID (v4) used to identify what user account this request must be executed. Require: x-product-uuid.
Responses
- 200
- 400
- 401
- 403
- 422
Company registrations returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Company registrations data.
Company registration ID.
Company CNPJ.
Possible values: [PENDING, SUBMITTED, WAITING_DOCUMENTS, APPROVED, DECLINED, FAILED]
Company registration status.
Company opening date (ISO 8601 date-time).
Company revenue.
Possible values: [EI, MEI, EIRELI, LTDA, SS, SA, ME, EPP, EMPG, COOP, OTHER]
Establishment format.
State registration.
Whether partners changed.
Bank number.
Possible values: [ACTIVE, NOT_ACTIVE, PENDING, LOCKED, CLOSED]
Bank account status.
Alias bank account creation date.
Failed error code.
Failed error message.
Possible values: [REGISTRATION_CREATED, WAITING_DOCUMENTS_SUBMISSION, UNDER_REVIEW, ALIAS_ACCOUNT_PENDING, ALIAS_ACCOUNT_ACTIVE, ALIAS_ACCOUNT_NOT_ACTIVE, ALIAS_ACCOUNT_LOCKED, ALIAS_ACCOUNT_CLOSED, ALIAS_ACCOUNT_UNKNOWN_STATUS, REGISTRATION_DECLINED, REGISTRATION_FAILED]
Detailed reason that explains why the registration is in the current status.
Possible values: [WAIT_SUBMISSION, UPLOAD_DOCUMENTS, WAIT_REVIEW, WAIT_ALIAS_ACCOUNT, CONTACT_SUPPORT, RETRY, NONE]
Next action required to continue or complete the company registration process.
Indicates whether the company registration is operational and ready to use.
Created at.
Updated at.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "8fc58500-b12e-49d7-892c-dfd704b94c2d",
"cnpj": "93999833000199",
"status": "APPROVED",
"opening_date": "1959-05-12T00:00:00.000Z",
"revenue": 201,
"establishment_format": "ME",
"state_registration": "12345678",
"partner_changed": false,
"bank_number": "001",
"bank_account_status": "ACTIVE",
"alias_created_date": "2024-01-15T10:00:00.000Z",
"failed_code": "EXTERNAL_PROVIDER_ERROR",
"failed_message": "Registration rejected.",
"status_reason": "ALIAS_ACCOUNT_ACTIVE",
"next_action": "NONE",
"is_operational": true,
"created_at": "2024-01-15T10:00:00.000Z",
"updated_at": "2024-01-15T10:00:00.000Z"
}
]
}
If any required params are missing or has invalid format or type.
User authentication failed.
User does not have permission to access this resource.
If any required params are missing or has invalid format or type.